#
# spec file for package lua-luaterm
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define flavor lua53
%define mod_name lua-term
Version:        0.07
Release:        150000.5.5.1
Summary:        Terminal operations for Lua
License:        MIT
Group:          Development/Libraries/Other
Url:            http://github.com/hoelzro/lua-term
Source:         https://github.com/hoelzro/lua-term/archive/%{version}.tar.gz#$/%{mod_name}-%{version}.tar.gz
BuildRequires:  %{flavor}-devel
Requires:       %{flavor}
%if "%{flavor}" == "lua53"
Provides:       lua-luaterm = %{version}
Obsoletes:      lua-luaterm < %{version}
%endif
%if "%{flavor}" == ""
Name:           lua-luaterm
ExclusiveArch:  do_not_build
%else
Name:           %{flavor}-luaterm
%endif

%description
This package provides terminal operations for Lua

%prep
%setup -q -n %{mod_name}-%{version}

%build
make %{?_smp_mflags} \
	CWARNS="%{optflags}" \
	LUA_INC=%{lua_incdir} \
	LUA_SHARE=%{lua_noarchdir}/term \
	LUA_LIBDIR=%{lua_archdir}/term

%install
%make_install \
        CWARNS="%{optflags}" \
        LUA_INC=%{lua_incdir} \
        LUA_SHARE=%{buildroot}%{lua_noarchdir}/term \
        LUA_LIBDIR=%{buildroot}%{lua_archdir}/term

%files
%dir %{lua_archdir}/term
%{lua_archdir}/term/core.so*
%dir %{lua_noarchdir}/term
%{lua_noarchdir}/term

%changelog
* Mon Oct 30 2017 jmatejek@suse.com
- do not build for Lua 5.2
* Thu Aug 10 2017 tchvatal@suse.com
- Fix provides/obsoletes for the old package name
* Thu Jul 13 2017 tchvatal@suse.com
- Switch to multibuild layout to deploy all lua versions at once
* Thu Jul 13 2017 tchvatal@suse.com
- Fix build with namespaced lua
* Wed Jan  4 2017 eich@suse.com
- Replaced 'makeinstall' by 'make_install'.
* Mon Oct 17 2016 eich@suse.com
- Setting 'download_files' service to mode='localonly'
  and adding source tarball. (Required for Factory).
* Wed Oct 12 2016 eich@suse.com
- Initial import of lua-term version 0.07
